package app;

import javax.swing.JButton;
import javax.swing.SwingUtilities;

public class State {
	// volatile i sinkronajz sam makno
	private volatile int stanje = 0;
	private JButton pause,next,go;
	private int DEFAULT=0,PAUSE=2,GO=1,NEXT=3,KILL=4; // dodat još cancel button
	
	public State(JButton pause, JButton next, JButton go) {
		this.pause=pause;
		this.next=next;
		this.go=go;
	}
	
	public synchronized int getStanje() {
		return stanje;
	}
	
	public synchronized void setStanje(int stanje) {
		this.stanje = stanje;
		updateButtons();
	}

	private void updateButtons() {
		SwingUtilities.invokeLater(new Runnable() {
			
			@Override
			public void run() {
				if (stanje==DEFAULT){
					pause.setEnabled(false);
					next.setEnabled(true);
					go.setEnabled(true);
				}
				if (stanje==GO){
					pause.setEnabled(true);
					next.setEnabled(false);
					go.setEnabled(false);
				}
				
				if (stanje==PAUSE){
					pause.setEnabled(false);
					next.setEnabled(true);
					go.setEnabled(true);
				}
				if (stanje==NEXT){
					pause.setEnabled(false);
					next.setEnabled(true);
					go.setEnabled(true);
				}
				
			}
		});
		
		
	}
}
